'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _bowser = require('bowser');

var _bowser2 = _interopRequireDefault(_bowser);

var _react3 = require('@collab-ui/react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = {
  'buttonsArea': 'buttonsArea--3SHAP',
  'fileInput': 'fileInput--2E5z9'
}; // @related-file ./ComposerButtons.css

function ComposerButtons(_ref) {
  var onAttachFile = _ref.onAttachFile,
      composerActions = _ref.composerActions;

  function handleFileIconClick(event) {
    if (event.type === 'click' || event.type === 'keydown' && (event.keyCode === 13 || event.keyCode === 32)) {
      if (!_bowser2.default.safari) {
        document.getElementById('messageFileUpload').click();
      }
    }
  }

  return composerActions.attachFiles && _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)('ciscospark-message-composer-buttons', styles.buttonsArea) },
    _react2.default.createElement(
      'label',
      { htmlFor: 'messageFileUpload' },
      _react2.default.createElement(_react3.Icon, {
        ariaLabel: 'Attach Files',
        name: 'attachment_16',
        onClick: handleFileIconClick
      }),
      _react2.default.createElement('input', {
        className: (0, _classnames2.default)('ciscospark-file-input', styles.fileInput),
        id: 'messageFileUpload',
        multiple: 'multiple',
        onChange: onAttachFile,
        type: 'file'
      })
    )
  ) || null;
}

ComposerButtons.propTypes = {
  onAttachFile: _propTypes2.default.func
};

ComposerButtons.defaultProps = {
  onAttachFile: function onAttachFile() {}
};

exports.default = ComposerButtons;