import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import bowser from 'bowser';

import { Icon } from '@collab-ui/react';

var styles = {
  'buttonsArea': 'buttonsArea--3SHAP',
  'fileInput': 'fileInput--2E5z9'
}; // @related-file ./ComposerButtons.css

function ComposerButtons({ onAttachFile, composerActions }) {
  function handleFileIconClick(event) {
    if (event.type === 'click' || event.type === 'keydown' && (event.keyCode === 13 || event.keyCode === 32)) {
      if (!bowser.safari) {
        document.getElementById('messageFileUpload').click();
      }
    }
  }

  return composerActions.attachFiles && React.createElement(
    'div',
    { className: classNames('ciscospark-message-composer-buttons', styles.buttonsArea) },
    React.createElement(
      'label',
      { htmlFor: 'messageFileUpload' },
      React.createElement(Icon, {
        ariaLabel: 'Attach Files',
        name: 'attachment_16',
        onClick: handleFileIconClick
      }),
      React.createElement('input', {
        className: classNames('ciscospark-file-input', styles.fileInput),
        id: 'messageFileUpload',
        multiple: 'multiple',
        onChange: onAttachFile,
        type: 'file'
      })
    )
  ) || null;
}

ComposerButtons.propTypes = {
  onAttachFile: PropTypes.func
};

ComposerButtons.defaultProps = {
  onAttachFile: () => {}
};

export default ComposerButtons;