import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import bowser from 'bowser';

import {Icon} from '@collab-ui/react';

import styles from './ComposerButtons.css';

function ComposerButtons({onAttachFile, composerActions}) {
  function handleFileIconClick(event) {
    if (event.type === 'click' || event.type === 'keydown' && (event.keyCode === 13 || event.keyCode === 32)) {
      if (!bowser.safari) {
        document.getElementById('messageFileUpload').click();
      }
    }
  }

  return (
    (
      composerActions.attachFiles &&
      <div className={classNames('ciscospark-message-composer-buttons', styles.buttonsArea)}>
        <label htmlFor="messageFileUpload">
          <Icon
            ariaLabel="Attach Files"
            name="attachment_16"
            onClick={handleFileIconClick}
          />
          <input
            className={classNames('ciscospark-file-input', styles.fileInput)}
            id="messageFileUpload"
            multiple="multiple"
            onChange={onAttachFile}
            type="file"
          />
        </label>
      </div>
    ) || null
  );
}

ComposerButtons.propTypes = {
  onAttachFile: PropTypes.func
};

ComposerButtons.defaultProps = {
  onAttachFile: () => {}
};

export default ComposerButtons;
