import React from 'react';
import ShallowRenderer from 'react-test-renderer/shallow';

import ComposerButtons from './ComposerButtons';

const renderer = new ShallowRenderer();

describe('ComposerButtons component', () => {
  let props;

  beforeEach(() => {
    props = {
      composerActions: {
        attachFiles: true
      },
      onAttachFile: () => {}
    };
  });

  it('renders properly with attachFiles enabled', () => {
    renderer.render(
      <ComposerButtons {...props} />
    );
    const component = renderer.getRenderOutput();

    expect(component).toMatchSnapshot();
  });

  it('renders properly with attachFiles enabled', () => {
    props.composerActions.attachFiles = false;
    renderer.render(
      <ComposerButtons {...props} />
    );
    const component = renderer.getRenderOutput();

    expect(component).toMatchSnapshot();
  });
});
